(function() {
    'use strict';
    
    angular
        .module('awesome_module_test', []);
    
    angular
        .module('awesome_module_test')
        .controller('AwesomeCtrl', AwesomeCtrl)
        .directive('getView', getView);
        
        AwesomeCtrl.$inject = ['$scope'];
        
        function AwesomeCtrl($scope) {
            $scope.hello = function() {
                return 'hello !';
            }
            
            $scope.widgetOptions = {
                name: "awesome_module_test",
                windows: [
                    {
                        name: "Awesome",
                        titleColor: "#FFFFFF",
                        color: "#CC0000",
                        size: {x: 4, y: 4},
                        buttons: ["modify", "delete"]
                    }
                ]
            }
            
            $scope.getView = function() {
                
            }
        }

        function getView(){
            return {
                restrict: "E",
                templateUrl: 'node_modules/awesome_module_test/view/index.html'
              };
        }
})();